package com.xhly.manageapp.ui.login.viewmodel

import androidx.lifecycle.LiveData
import androidx.lifecycle.MutableLiveData
import com.xhly.manageapp.bean.login.LoginBean
import com.xhly.manageapp.bean.user.UserBean
import com.xhly.manageapp.viewmodel.BaseViewModel

class LoginViewModel: BaseViewModel() {

    private val loginResult=MutableLiveData<UserBean>()
    val loginData:LiveData<UserBean> =loginResult

    fun login(loginBean: LoginBean){
        launchUI {
            val postLogin = loginService.postLogin(loginBean)
            if (postLogin.code==0){
                if (postLogin.obj!=null){
                    loginResult.value=postLogin.obj
                }
            }else{
                val userBean=UserBean()
                userBean.xhlyLoginSucess=false
                if (postLogin.msg!=null){
                    userBean.xhlyLoginMessage=postLogin.msg
                }
                loginResult.value=userBean
            }
        }
    }

}